{{ attach_library('growhappytheme/vendor-simplebar') }}

{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
{% set author = user_lacto.name %}
{% set image = 'themes/growhappytheme/assets/images/no-photo.png' %}
<main role="main" class="page__profile">
    <div class="container-fluid text-center text-lg-left" style="min-height: 65vh;">
        <div class="row">
            <div class="col-md-6 bg-primary text-white pr-lg-5 pt-5">
                <div class="px-md-4 px-lg-5 profile-detail-wrapper ml-md-auto">
                    <!-- <div class="avatar gold"><img class="rounded-circle" height="60" width="60" src="{{ url('<front>') }}{{ image }}" alt=""></div> -->
                    <h2 class="mb-0">{{ author }}</h2>
                    <p><span class="rp">{{ point|number_format(0, '.', '.') }} Happy Points</span><!--  | <span class="text-orange">Member Gold</span> --></p>
                    <form class="redeem-profile pt-4 pb-2 px-3" id="form-submit" action="{{ url('growhappy_mod.submit-process') }}" method="POST">
                        <h3 class="font-weight-bold">Submit Poin Happy Parents!</h3>
                        
                        <div class="input-group mb-3 position-relative">
                            <select class="form-control form-select icon-dropdown w-100 rounded-lg border-0 font-weight-bold select-location" id="store" name="retail">
                                <option value="" selected>Beli Produk LACTOGROW</option>
                                {% for retail in retails %}
                                    <option value="{{ retail.id }}">{{ retail.name }}</option>
                                {% endfor %}
                            </select>
                            <img class="select-decoration" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-dropdown-white.png" alt="">
                        </div>
                        <div class="input-group mb-3">
                            <input id="code" name="code" placeholder="Masukan Kode Unik" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code" name="code">
                            <span class="input-group-btn m-0">
                                <button type="submit" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code">
                                    Kirim
                                </button>
                            </span>
                        </div>
                    </form>

                    <div class="nav nav-profile flex-row flex-md-column justify-content-center border-0 mx-n4 mx-md-0 mb-5 d-none d-md-block" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                        <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="history-tab" href="{{ url('<front>') }}profile#history" role="tab" aria-controls="history" aria-selected="true">Riwayat</a>
                        <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="reward-tab" href="{{ url('<front>') }}profile#reward" role="tab" aria-controls="reward" aria-selected="false">Rewards</a>
                        <a class="nav-link justify-content-start mb-md-3 rounded-pill active" id="referral-tab" href="{{ url('<front>') }}profile#referral" role="tab" aria-controls="referral" aria-selected="true">Kode Referral</a>
                        <!-- <a class="nav-link justify-content-start mb-md-3 rounded-pill" id="quiz-tab" href="{{ url('<front>') }}profile#quiz" role="tab" aria-controls="quiz" aria-selected="false">Misi</a> -->
                    </div>
                </div>
            </div>
            <div class="col-md-6 px-md-4 p-lg-5 pt-8 pb-5 mb-10">
                <ul class="nav nav-pills w-lg-500 mb-4 px-3 mt-7 d-md-none" id="pills-tab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link font-weight-bold" href="{{ url('<front>') }}profile#history">Profile</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link font-weight-bold" href="{{ url('<front>') }}profile#reward">Rewards</a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link font-weight-bold active" href="{{ url('<front>') }}profile-referral" aria-selected="false">Kode Referral</a>
                    </li>
                </ul>
                <div class="position-relative scroll-wrapper h-100">
                    <div class="show-scroll">
                    <h6 class="mb-5 text-primary text-center" style="margin-top:15px">Bagikan <b>kode referral Happy Parents</b> ke teman, keluarga, atau kerabat agar bisa menjadi bagian dari <b>Grow Happy Club</b></h6>
                    <h6 class="text-primary mb-0 ml-3"><b>Referral link Happy Parents</b></h6>
                    <form class="redeem-profile pb-2 px-3" id="form-submit" action="" method="POST">
                        <div class="input-group mb-3">
                            <input id="referral" name="referral" placeholder="Kode Referral" type="text" class="form-control rounded-lg border-0 font-weight-bold input-unique-code" name="referral" value="{{ url('<front>') }}join?ref={{ guestlogin.identity }}">
                            <span class="input-group-btn m-0">
                                <button type="button" class="btn bg-primary text-white text-uppercase rounded-lg position-absolute btn-submit-code" onclick="copyToClipboard()">
                                    Copy
                                </button>
                            </span>
                        </div>
                        <div class="input-group mb-3">
                          <a href="http://www.facebook.com/sharer.php?p[url]={{ url('<front>') }}join?ref={{ guestlogin.identity }}" target="_blank"><img class="mr-3" src="{{ url('<front>') }}images/icon/facebook.png"></a>
                          <a href="whatsapp://send?text={{ url('<front>') }}join?ref={{ guestlogin.identity }}" data-action="share/whatsapp/share"><img src="{{ url('<front>') }}images/icon/whatsapp.png" target="_blank"></a>
                        </div>
                    </form>
                </div>
              </div>
            </div>
        </div>
    </div>
</main>

<footer id="primary-footer">
    {% include directory ~ '/templates/includes/_footer_nestle.html.twig' %}
</footer>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script>
function copyToClipboard() {
  var copyText = document.getElementById("referral");
  copyText.select();
  copyText.setSelectionRange(0, 99999)
  document.execCommand("copy");
}
</script>
